| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Pos::FilterSet Class Reference
Algo

Set of Filters. Owns the Filters. More...

`#include <posfilterset.h>`

Inheritance diagram for Pos::FilterSet:
[legend]

## Public Member Functions
virtual | ~FilterSet ()
void | add (const IOPar &)
void | add (Filter *)
float | adjustedZ (const Coord &, float) const override
float | estRatio (const Provider &) const override
void | fillPar (IOPar &) const override
ObjectSet< Filter > & | filters ()
const ObjectSet< Filter > & | filters () const
void | getSummary (BufferString &) const override
bool | hasZAdjustment () const override
bool | includes (const Coord &, float) const override
bool | initialize (TaskRunner *) override
bool | isEmpty () const
void | reset () override
int | size () const
void | usePar (const IOPar &) override
Public Member Functions inherited from Pos::Filter
virtual | ~Filter ()
virtual Filter * | clone () const =0
virtual bool | is2D () const =0
virtual bool | isProvider () const
virtual const char * | type () const =0

## Static Public Member Functions
static const char * | typeStr ()
| "Set"
Static Public Member Functions inherited from Pos::Filter
static Filter * | make (const IOPar &, bool is2d)

## Protected Member Functions
void | copyFrom (const FilterSet &)

## Protected Attributes
ObjectSet< Filter > | filts_

## Detailed Description

Set of Filters. Owns the Filters.

<>

## Constructor & Destructor Documentation

## ◆ ~FilterSet()

virtual Pos::FilterSet::~FilterSet | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ add() [1/2]

void Pos::FilterSet::add | ( | const IOPar & |  | ) |

## ◆ add() [2/2]

void Pos::FilterSet::add | ( | Filter * |  | ) |

## ◆ adjustedZ()

float Pos::FilterSet::adjustedZ | ( | const Coord & | ,
|  | float | ) const
| override virtual

Reimplemented from Pos::Filter.

## ◆ copyFrom()

void Pos::FilterSet::copyFrom | ( | const FilterSet & |  | ) |
| protected

## ◆ estRatio()

float Pos::FilterSet::estRatio | ( | const Provider & |  | ) | const
| override virtual

Implements Pos::Filter.

## ◆ fillPar()

void Pos::FilterSet::fillPar | ( | IOPar & |  | ) | const
| override virtual

Implements Pos::Filter.

## ◆ filters() [1/2]

ObjectSet< Filter > & Pos::FilterSet::filters | ( |  | ) |
| inline

## ◆ filters() [2/2]

const ObjectSet< Filter > & Pos::FilterSet::filters | ( |  | ) | const
| inline

## ◆ getSummary()

void Pos::FilterSet::getSummary | ( | BufferString & |  | ) | const
| override virtual

Implements Pos::Filter.

## ◆ hasZAdjustment()

bool Pos::FilterSet::hasZAdjustment | ( |  | ) | const
| override virtual

Reimplemented from Pos::Filter.

## ◆ includes()

bool Pos::FilterSet::includes | ( | const Coord & | ,
|  | float | ) const
| override virtual

Implements Pos::Filter.

Reimplemented in Pos::FilterSet3D, and Pos::FilterSet2D.

## ◆ initialize()

bool Pos::FilterSet::initialize | ( | TaskRunner * |  | ) |
| override virtual

Reimplemented from Pos::Filter.

## ◆ isEmpty()

bool Pos::FilterSet::isEmpty | ( |  | ) | const
| inline

## ◆ reset()

void Pos::FilterSet::reset | ( |  | ) |
| override virtual

Implements Pos::Filter.

## ◆ size()

int Pos::FilterSet::size | ( |  | ) | const
| inline

## ◆ typeStr()

static const char * Pos::FilterSet::typeStr | ( |  | ) |
| static

"Set"

## ◆ usePar()

void Pos::FilterSet::usePar | ( | const IOPar & |  | ) |
| override virtual

Implements Pos::Filter.

## Member Data Documentation

## ◆ filts_

ObjectSet<Filter> Pos::FilterSet::filts_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025